com.virtual.tour.road.com.virtual.tour.road.vista

## Class TutorialActivity.ImagePagerAdapter

- java.lang.Object
- - android.support.v4.view.PagerAdapter
  - - com.virtual.tour.road.com.virtual.tour.road.vista.TutorialActivity.ImagePagerAdapter

- Enclosing class:
    TutorialActivity

      private class TutorialActivity.ImagePagerAdapter
      extends android.support.v4.view.PagerAdapter

  Clase pageAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `mImages`

    - ### Fields inherited from class android.support.v4.view.PagerAdapter

      `POSITION_NONE, POSITION_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ImagePagerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroyItem(android.view.ViewGroup container, int position, java.lang.Object object)` Remove a page for the given position.
    `int` | `getCount()` Return the number of views available.
    `java.lang.Object` | `instantiateItem(android.view.ViewGroup container, int position)` Create the page for the given position.
    `boolean` | `isViewFromObject(android.view.View view, java.lang.Object object)` Determines whether a page View is associated with a specific key object as returned by `PagerAdapter.instantiateItem(ViewGroup, int)`.

    - ### Methods inherited from class android.support.v4.view.PagerAdapter

      `finishUpdate, getItemPosition, getPageTitle, getPageWidth, notifyDataSetChanged, registerDataSetObserver, restoreState, saveState, setPrimaryItem, startUpdate, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mImages

          private int[] mImages

  - ### Constructor Detail

    - #### ImagePagerAdapter

          private ImagePagerAdapter()

  - ### Method Detail

    - #### destroyItem

          public void destroyItem(android.view.ViewGroup container,
                                  int position,
                                  java.lang.Object object)

      Description copied from class: `android.support.v4.view.PagerAdapter`
      Remove a page for the given position. The adapter is responsible for removing the view from its container, although it only must ensure this is done by the time it returns from `PagerAdapter.finishUpdate(ViewGroup)`.
      Overrides:
        `destroyItem` in class `android.support.v4.view.PagerAdapter`
      Parameters:
        `container` - The containing View from which the page will be removed.
        `position` - The page position to be removed.
        `object` - The same object that was returned by `PagerAdapter.instantiateItem(View, int)`.

    - #### getCount

          public int getCount()

      Description copied from class: `android.support.v4.view.PagerAdapter`
      Return the number of views available.
      Specified by:
        `getCount` in class `android.support.v4.view.PagerAdapter`

    - #### instantiateItem

          public java.lang.Object instantiateItem(android.view.ViewGroup container,
                                                  int position)

      Description copied from class: `android.support.v4.view.PagerAdapter`
      Create the page for the given position. The adapter is responsible for adding the view to the container given here, although it only must ensure this is done by the time it returns from `PagerAdapter.finishUpdate(ViewGroup)`.
      Overrides:
        `instantiateItem` in class `android.support.v4.view.PagerAdapter`
      Parameters:
        `container` - The containing View in which the page will be shown.
        `position` - The page position to be instantiated.
      Returns:
        Returns an Object representing the new page. This does not need to be a View, but can be some other container of the page.

    - #### isViewFromObject

          public boolean isViewFromObject(android.view.View view,
                                          java.lang.Object object)

      Description copied from class: `android.support.v4.view.PagerAdapter`
      Determines whether a page View is associated with a specific key object as returned by `PagerAdapter.instantiateItem(ViewGroup, int)`. This method is required for a PagerAdapter to function properly.
      Specified by:
        `isViewFromObject` in class `android.support.v4.view.PagerAdapter`
      Parameters:
        `view` - Page View to check for association with `object`
        `object` - Object to check for association with `view`
      Returns:
        true if `view` is associated with the key object `object`